Create a database connection
POST
/api/databases
const url = 'https://gateway.example.com/api/databases';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","tags":["example"],"manualSizeLimitMb":1,"interactiveQueryBudgetSeconds":1,"type":"postgres","config":{"connectionString":"example","host":"example","port":1,"database":"example","username":"example","password":"example","sslEnabled":true}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gateway.example.com/api/databases \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "tags": [ "example" ], "manualSizeLimitMb": 1, "interactiveQueryBudgetSeconds": 1, "type": "postgres", "config": { "connectionString": "example", "host": "example", "port": 1, "database": "example", "username": "example", "password": "example", "sslEnabled": true } }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”JSON request body
Media typeapplication/json
One of:
object
name
required
string
description
string | null
tags
Array<string>
manualSizeLimitMb
integer | null
interactiveQueryBudgetSeconds
integer
type
required
string
config
required
object
connectionString
string
host
string
port
integer
database
string
username
string
password
string
sslEnabled
boolean
object
name
required
string
description
string | null
tags
Array<string>
type
required
string
config
required
object
connectionString
string
host
string
port
integer
username
string
password
string
db
integer
tlsEnabled
boolean
object
name
required
string
description
string | null
tags
Array<string>
type
required
string
interactiveQueryBudgetSeconds
integer
config
required
object
connectionString
string
url
string
host
string
port
integer
database
string
username
string
password
string
tlsEnabled
boolean
Responses
Section titled “Responses”Created
Media typeapplication/json
object
data
required
Resource object. Exact fields depend on the endpoint.
object
id
string
name
string
key
additional properties
Example
{ "data": { "id": "550e8400-e29b-41d4-a716-446655440000", "name": "Production Postgres", "type": "postgres", "healthStatus": "online" }}Bad request
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "VALIDATION_ERROR", "message": "Request validation failed", "details": [ { "path": [ "name" ], "message": "Required" } ]}Authentication required
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNAUTHORIZED", "message": "Authentication required"}Forbidden
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "FORBIDDEN", "message": "Insufficient permissions"}Not found
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "NOT_FOUND", "message": "Resource not found"}Conflict
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "CONFLICT", "message": "Resource already exists"}Unprocessable entity
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNPROCESSABLE_ENTITY", "message": "Request could not be processed"}Internal server error
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "INTERNAL_ERROR", "message": "Internal server error"}